# Form implementation generated from reading ui file 'src/eric7/WebBrowser/VirusTotal/VirusTotalWhoisDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_VirusTotalWhoisDialog(object):
    def setupUi(self, VirusTotalWhoisDialog):
        VirusTotalWhoisDialog.setObjectName("VirusTotalWhoisDialog")
        VirusTotalWhoisDialog.resize(500, 400)
        VirusTotalWhoisDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(VirusTotalWhoisDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.headerPixmap = QtWidgets.QLabel(parent=VirusTotalWhoisDialog)
        self.headerPixmap.setObjectName("headerPixmap")
        self.horizontalLayout_4.addWidget(self.headerPixmap)
        self.headerLabel = QtWidgets.QLabel(parent=VirusTotalWhoisDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.headerLabel.sizePolicy().hasHeightForWidth())
        self.headerLabel.setSizePolicy(sizePolicy)
        self.headerLabel.setObjectName("headerLabel")
        self.horizontalLayout_4.addWidget(self.headerLabel)
        self.verticalLayout.addLayout(self.horizontalLayout_4)
        self.line9_3 = QtWidgets.QFrame(parent=VirusTotalWhoisDialog)
        self.line9_3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_3.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line9_3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_3.setObjectName("line9_3")
        self.verticalLayout.addWidget(self.line9_3)
        self.whoisEdit = QtWidgets.QPlainTextEdit(parent=VirusTotalWhoisDialog)
        self.whoisEdit.setTabChangesFocus(True)
        self.whoisEdit.setLineWrapMode(QtWidgets.QPlainTextEdit.LineWrapMode.NoWrap)
        self.whoisEdit.setReadOnly(True)
        self.whoisEdit.setObjectName("whoisEdit")
        self.verticalLayout.addWidget(self.whoisEdit)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=VirusTotalWhoisDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(VirusTotalWhoisDialog)
        self.buttonBox.accepted.connect(VirusTotalWhoisDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(VirusTotalWhoisDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(VirusTotalWhoisDialog)

    def retranslateUi(self, VirusTotalWhoisDialog):
        _translate = QtCore.QCoreApplication.translate
        VirusTotalWhoisDialog.setWindowTitle(_translate("VirusTotalWhoisDialog", "Whois Information"))
